[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated (e267cb98 -> 1647237c)
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated (e267cb98 -> 1647237c) |
Date: |
Fri, 27 Mar 2020 17:11:08 +0100 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a change to branch master
in repository exchange.
from e267cb98 cover actual aggregation in exchange test
new f262d8ab comment style fix
new 1647237c fix #6137
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "add" were already present in the repository and have only
been added to this reference.
Summary of changes:
src/auditor/test-auditor.sh | 2 ++
src/testing/testing_api_cmd_deposit.c | 3 ++-
2 files changed, 4 insertions(+), 1 deletion(-)
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 3a172b79..6a254e01 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -108,6 +108,8 @@ function audit_only () {
# Cleanup to run after the auditor
function post_audit () {
+ taler-exchange-dbinit -g || exit_fail "exchange DB GC failed"
+
kill -TERM `jobs -p` >/dev/null 2>/dev/null || true
echo -n "Waiting for servers to die ..."
wait
diff --git a/src/testing/testing_api_cmd_deposit.c
b/src/testing/testing_api_cmd_deposit.c
index 4f3a385d..5c2b49f1 100644
--- a/src/testing/testing_api_cmd_deposit.c
+++ b/src/testing/testing_api_cmd_deposit.c
@@ -290,9 +290,10 @@ deposit_run (void *cls,
ds->is = is;
if (NULL != ds->deposit_reference)
{
- // We're copying another deposit operation, initialize here.
+ /* We're copying another deposit operation, initialize here. */
const struct TALER_TESTING_Command *cmd;
struct DepositState *ods;
+
cmd = TALER_TESTING_interpreter_lookup_command
(is,
ds->deposit_reference);
--
To stop receiving notification emails like this one, please contact
address@hidden.
- [taler-exchange] branch master updated (e267cb98 -> 1647237c),
gnunet <=